
	<div id="div_caja_filtro" > </div>
	
	
<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" style="padding:0%;" >
		    <div class="card">
				<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" >
	
					
						
						<div class="box box-warning">
							<div class="box-header">
								<h3 class="box-title text-yellow">INGRESOS</h3>
							</div>
							
							<div id="div_ingreso_tabla">
								
							</div>
							
						</div>
						
						<div class="box box-danger">
							<div class="box-header">
								<h3 class="box-title text-red">EGRESOS</h3>
							</div>
							
							<div id="div_egreso_tabla">
							
							</div>
							
						</div>
						
						<div class="col-lg-6 col-md-6 col-xs-12" style="padding:0px;" >
							<div class="box box-primary">
								<div class="box-header">
									<h3 class="box-title text-primary">CONSULTA SALDO</h3>
								</div>
								
								<div id="div_saldo_tabla">
									
								</div>
								
							</div>
						</div>
						
						
					
			</div>
			</div>
			</div>
		</div>
	</div>
</section>



<script type="text/javascript">
	
	function flujocaja_filtro()
	{
		$.ajax({
			type: "POST",
			url: "../flujocaja/flujocaja_filtro.php",
			async:true,
			dataType: "html",                      
			data: ({
			}),
			beforeSend: function() {
				
			},
			success: function(html){
				$('#div_caja_filtro').html(html);
			},
			complete: function(){
				
			}
		});
	}
	
	function flujocaja_tabla()
	{
		if($('#cmb_fil_caj_id').val()>0)
		{
			ingreso_tabla();
			egreso_tabla();
			//saldo_tabla();
		}
		else
		{
			$('#div_ingreso_tabla').html('');
			$('#div_egreso_tabla').html('');
			$('#div_saldo_tabla').html('');
			toastr["error"]('Seleccione una Caja para mostrar información.');
		}
	}
	
	function ingreso_tabla()
	{
		$.ajax({
			type: "POST",
			url: "../flujocaja/caja_tabla_ingreso.php",
			async:true,
			dataType: "html",                      
			data: $("#for_fil_caj").serialize(),
			beforeSend: function() {
				$('#div_ingreso_tabla').addClass("ui-state-disabled");
			},
			success: function(html){
				$('#div_ingreso_tabla').html(html);
			},
			complete: function(){
				saldo_tabla()		
				$('#div_ingreso_tabla').removeClass("ui-state-disabled");
			}
		});     
	}
	
	function egreso_tabla()
	{
		$.ajax({
			type: "POST",
			url: "../flujocaja/caja_tabla_egreso.php",
			async:true,
			dataType: "html",                      
			data: $("#for_fil_caj").serialize(),
			beforeSend: function() {
				$('#div_egreso_tabla').addClass("ui-state-disabled");
			},
			success: function(html){
				$('#div_egreso_tabla').html(html);
			},
			complete: function(){
				saldo_tabla()			
				$('#div_egreso_tabla').removeClass("ui-state-disabled");
			}
		});     
	}
	
	function saldo_tabla()
	{
		$.ajax({
			type: "POST",
			url: "../flujocaja/caja_tabla_saldo.php",
			async:true,
			dataType: "html",                      
			data: $("#for_fil_caj").serialize(),
			beforeSend: function() {
				$('#div_saldo_tabla').addClass("ui-state-disabled");
			},
			success: function(html){
				$('#div_saldo_tabla').html(html);
			},
			complete: function(){			
				$('#div_saldo_tabla').removeClass("ui-state-disabled");
			}
		});     
	}




		function egreso_eliminar(id)
	{      
		if(confirm("Realmente desea eliminar?")){
			$.ajax({
				type: "POST",
				url: "../egreso/egreso_reg.php",
				async:true,
				dataType: "html",
				data: ({
					action: "eliminar",
					egr_id:		id
				}),
				beforeSend: function() {

				},
				success: function(html){
					toastr["success"](html);
				},
				complete: function(){
					egreso_tabla();
				}
			});
		}
	}
	
	
	function ingreso_eliminar(id)
	{      
		if(confirm("Realmente desea eliminar?")){
			$.ajax({
				type: "POST",
				url: "../ingreso/ingreso_reg.php",
				async:true,
				dataType: "html",
				data: ({
					action: "eliminar",
					ing_id:		id
				}),
				beforeSend: function() {
				},
				success: function(html){
					toastr["success"](html);	
				},
				complete: function(){
					ingreso_tabla();
				}
			});
		}
	}
	
	
	
	$(function() {
	
		flujocaja_filtro();	
	});
</script> 